Skip to main content
`Ctrl`+`K`

# DMPlexCreateClosureIndex

Calculate an index for the given `PetscSection` for the closure operation on the `DM`

## Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexCreateClosureIndex(DM dm, PetscSection section)

Not Collective

## Input Parameters

- dm - The `DM`

- section - The section describing the layout in the local vector, or NULL to use the default section

## Note

This should greatly improve the performance of the closure operations, at the cost of additional memory.

## See Also

DMPlex: Unstructured Grids, `DM`, `DMPLEX`, `PetscSection`, `DMPlexVecGetClosure()`, `DMPlexVecRestoreClosure()`, `DMPlexVecSetClosure()`, `DMPlexMatSetClosure()`

## Level

intermediate

## Location

src/dm/impls/plex/plexindices.c

## Examples

src/snes/tutorials/ex69.c
src/snes/tutorials/ex64.c
src/snes/tutorials/ex77.c
src/snes/tutorials/ex71.c
src/ts/tutorials/ex76.c
src/ts/tutorials/ex77.c
src/ts/tutorials/ex46.c
src/snes/tutorials/ex62.c
src/snes/tutorials/ex63.c
src/snes/tutorials/ex76.c

## Implementations

DMPlexCreateClosureIndex_CELL() in src/dm/impls/plex/plexdistribute.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages